[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.SetBoolStringValues

Set the boolean string values to use when writing to file

## Declaration

Source position: inifiles.pp line 173

`public procedure TCustomIniFile.SetBoolStringValues(`
`ABoolValue: Boolean;`
`Values: array of string`
`);`

## Arguments

`ABoolValue` |  | Boolean value to set string values for
`Values` |  | String values for the specified boolean value.

## Description

SetBoolStringValues Sets the strings to recognize as boolean variable ABoolValue to Values. When reading boolean values, these values are reported as ABoolValue in TCustomIniFile.ReadBool. The first value in the list is used to write the boolean ABoolValue value.

To ensure correct operation, this function should be called with values for both True and False.

The string values are ignored if ifoWriteStringBoolean is not in the ini file options.

## See also

TCustomIniFile.ReadBool |  |
TCustomIniFile.WriteBool |  | Write boolean value
TCustomIniFile.BoolTrueStrings |  | Strings to recognize as boolean True values.
TCustomIniFile.BoolFalseStrings |  | Strings to recognize as boolean False values.
TCustomIniFile.Options |  | Options currently in effect